Bug 56687 - Internal Compiler Error when doing GMAKE on QT vers 3
Internal Compiler Error when doing GMAKE on QT vers 3
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: gcc (Show other bugs)
7.2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-11-24 17:44 EST by Need Real Name
Modified: 2007-04-18 12:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-12-15 13:19:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2001-11-24 17:44:39 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows 98; Madasafish)

Description of problem:
The following console report was produced when compiling Qt 3.0.0-beta6 
(from Linux Format DVD) on a K62-350 system with 320MBytes RAM under a Red 
Hat 7.2 system :-

g++ -c -pipe -Wall -W -O2 -fPIC -DQT_NO_IMAGEIO_MNG -DQT_NO_IMAGEIO_JPEG -
DQT_NO
_STYLE_AQUA -DQT_NO_STYLE_MAC -DQT_NO_STYLE_INTERLACE -
DQT_NO_STYLE_COMPACT -DQT
_NO_DEBUG -I../../../include/freetype2 -I3rdparty/libpng -I3rdparty/zlib -
I/usr/
local/qt/include -I../../../X11R6/include -I../../../X11R6/include -
I.moc/releas
e/ -I/usr/local/qt/mkspecs/linux-g++ -o .obj/release/qsgistyle.o 
styles/qsgistyl
e.cpp
g++ -c -pipe -Wall -W -O2 -fPIC -DQT_NO_IMAGEIO_MNG -DQT_NO_IMAGEIO_JPEG -
DQT_NO
_STYLE_AQUA -DQT_NO_STYLE_MAC -DQT_NO_STYLE_INTERLACE -
DQT_NO_STYLE_COMPACT -DQT
_NO_DEBUG -I../../../include/freetype2 -I3rdparty/libpng -I3rdparty/zlib -
I/usr/
local/qt/include -I../../../X11R6/include -I../../../X11R6/include -
I.moc/releas
e/ -I/usr/local/qt/mkspecs/linux-g++ -o .obj/release/qwindowsstyle.o 
styles/qwin
dowsstyle.cpp
g++ -c -pipe -Wall -W -O2 -fPIC -DQT_NO_IMAGEIO_MNG -DQT_NO_IMAGEIO_JPEG -
DQT_NO
_STYLE_AQUA -DQT_NO_STYLE_MAC -DQT_NO_STYLE_INTERLACE -
DQT_NO_STYLE_COMPACT -DQT
_NO_DEBUG -I../../../include/freetype2 -I3rdparty/libpng -I3rdparty/zlib -
I/usr/
local/qt/include -I../../../X11R6/include -I../../../X11R6/include -
I.moc/releas
e/ -I/usr/local/qt/mkspecs/linux-g++ -o .obj/release/qmotifstyle.o 
styles/qmotif
style.cpp
styles/qmotifstyle.cpp: In method `void QMotifStyle::drawPrimitive
(QStyle::PrimitiveElement, QPainter *, const QRect &, const QColorGroup
&, unsigned int, const QStyleOption &) const':
styles/qmotifstyle.cpp:726: Internal compiler error in
verify_local_live_at_start, at flow.c:2722
Please submit a full bug report.
See <URL:http://bugzilla.redhat.com/bugzilla/> for instructions.
gmake[2]: *** [.obj/release/qmotifstyle.o] Error 2
gmake[2]: Leaving directory `/usr/local/qt/src'
gmake[1]: *** [sub-src] Error 2
gmake[1]: Leaving directory `/usr/local/qt'
gmake: *** [init] Error 2
You have new mail in /var/spool/mail/root
[root@rhlinux qt]#
[root@rhlinux qt]# gcc -v
Reading specs from /usr/lib/gcc-lib/i386-redhat-linux/2.96/specs
gcc version 2.96 20000731 (Red Hat Linux 7.1 2.96-98)
[root@rhlinux qt]#


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Do GMAKE - the same internal compiler error keeps recurring
2.
3.
	

Actual Results:  : In method `void QMotifStyle::drawPrimitive
(QStyle::PrimitiveElement, QPainter *, const QRect &, const QColorGroup
&, unsigned int, const QStyleOption &) const':
styles/qmotifstyle.cpp:726: Internal compiler error in
verify_local_live_at_start, at flow.c:2722
Please submit a full bug report.


Expected Results:  GMAKE - should run to conclusion (as per install 
instructions for Qt (from TrollTech).


Additional info:

Compiler details are as follows :-

gcc -v
Reading specs from /usr/lib/gcc-lib/i386-redhat-linux/2.96/specs
gcc version 2.96 20000731 (Red Hat Linux 7.1 2.96-98)
Comment 1 Jakub Jelinek 2001-11-28 05:10:44 EST
Please provide preprocessed source (ie. add -save-temps to g++ command line,
provided it is reproduceable always on the same file and attach qmotifstyle.ii
to this bug report.
Comment 2 Alan Cox 2002-12-15 13:19:49 EST
Requested info never provided. Closing
Seems to work in 8.0

Note You need to log in before you can comment on or make changes to this bug.